<template>
  <div :class="$style.main">
    <span :class="$style.lib">БИБЛИОТЕКА</span>
    <keep-alive>
      <search v-if="viewportSize === 'small'" :class="$style.searchBlock" />
    </keep-alive>
  </div>
</template>

<script>
import Search from "./mobile/search.vue";
import { viewportSizeMixin } from "@/shared/mixins";

export default {
  name: "Main",
  mixins: [viewportSizeMixin],
  components: { Search }
};
</script>

<style lang="scss" module>
@import "../shared/styles/imports.scss";

.main {
  @include backgroundCover();

  position: relative;
  width: 100%;
  min-height: 100vh;
  background-color: $mainBgColor;
  background-image: url("../assets/images/cover.png");
  text-align: center;
}

.lib {
  position: absolute;
  top: 70%;
  right: 32px;
  font-weight: 900;
  font-size: 59px;
  line-height: 62px;
  color: $subTextColor;
  z-index: 1;

  @include onScreenRes($tabletAndLower) {
    font-size: 33px;
    line-height: 37px;
  }

  @include onScreenRes($mobileLandscapeAndLower) {
    right: 0;
    left: 0;
    margin: 0 auto;
  }
}

.searchBlock {
  position: relative;
  z-index: 2;
}
</style>
